%{?scl:%scl_package cfme-gemset}
%{!?scl:%global pkg_name %{name}}

%global app_root /opt/rh/cfme-gemset
%global __brp_mangle_shebangs_exclude_from /test/|/bundler/templates/Executable
%global debug_package %{nil}

Name:      cfme-gemset
Version:   5.11.7.3
Release:   1%{?dist}
Summary:   CloudForms Management Engine Gemset
Group:     Applications/System
License:   "GPLv2+, Apache Public License 2.0, The MIT License and Ruby License"
URL:       https://github.com/ManageIQ/manageiq
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: x86_64

BuildRequires: /usr/bin/pathfix.py

Requires: %{?scl_prefix}rubygem-bcrypt = 3.1.13
Requires: %{?scl_prefix}rubygem-bcrypt_pbkdf = 1.0.1
Requires: %{?scl_prefix}rubygem-byebug = 11.0.1
Requires: %{?scl_prefix}rubygem-escape_utils = 1.2.1
Requires: %{?scl_prefix}rubygem-ffi = 1.9.25
Requires: %{?scl_prefix}rubygem-hamlit = 2.8.10
Requires: %{?scl_prefix}rubygem-http_parser.rb = 0.6.0
Requires: %{?scl_prefix}rubygem-linux_block_device = 0.2.1
Requires: %{?scl_prefix}rubygem-memory_buffer = 0.1.0
Requires: %{?scl_prefix}rubygem-nio4r = 2.4.0
Requires: %{?scl_prefix}rubygem-nokogiri = 1.8.5
Requires: %{?scl_prefix}rubygem-ovirt-engine-sdk4 = 4.3.0
Requires: %{?scl_prefix}rubygem-pg = 1.0.0
Requires: %{?scl_prefix}rubygem-puma = 3.7.1
Requires: %{?scl_prefix}rubygem-qpid_proton = 0.26.0
Requires: %{?scl_prefix}rubygem-rbnacl-libsodium = 1.0.16
Requires: %{?scl_prefix}rubygem-rugged = 0.28.2
Requires: %{?scl_prefix}rubygem-sassc = 2.0.1
Requires: %{?scl_prefix}rubygem-sqlite3 = 1.3.13
Requires: %{?scl_prefix}rubygem-surro-gate = 1.0.5
Requires: %{?scl_prefix}rubygem-unf_ext = 0.0.7.6
Requires: %{?scl_prefix}rubygem-websocket-driver = 0.6.5

Requires: cifs-utils
Requires: nfs-utils
Requires: openscap-scanner
# Requires: nodejs
Requires: wmi

# For Miq IPMI (gems-pending)
Requires: OpenIPMI
Requires: freeipmi
Requires: ipmitool

# For Lenovo
Requires: python3-pylxca = 2.1.1

# For Nuage
Requires: cyrus-sasl
Requires: cyrus-sasl-plain
Requires: python3-vspk = 5.3.2

# For RHV
Requires: ovirt-ansible-roles
Requires: python3-ovirt-engine-sdk4

# For IMS
Requires: v2v-conversion-host-ansible

# For Appliance Console
Requires: network-scripts

%description
CloudForms Management Engine Gemset

%prep
%setup -q
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" .

%build
cat <<"EOF" > enable
export APPLIANCE="true"
export GEM_HOME=/opt/rh/cfme-gemset
export GEM_PATH=/opt/rh/cfme-gemset:$(gem env path)
export PATH=/opt/rh/cfme-gemset/bin:$PATH
EOF

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir} -p %{buildroot}%{app_root}
%{__cp} -r bin %{buildroot}%{app_root}
%{__cp} -r build_info %{buildroot}%{app_root}
%{__cp} -r bundler %{buildroot}%{app_root}
%{__cp} -r cache %{buildroot}%{app_root}
%{__cp} -r doc %{buildroot}%{app_root}
%{__cp} -r gems %{buildroot}%{app_root}
%{__cp} -r specifications %{buildroot}%{app_root}
%{__cp} -r vmdb %{buildroot}%{app_root}
install -m644 enable %{buildroot}%{app_root}

%{__mkdir} -p %{buildroot}/opt/rh/cfme-migration_analytics

%posttrans
# 'bin' needs to be copied, not symlinked
[[ -e /var/www/miq/vmdb/bin ]] && rm -rf /var/www/miq/vmdb/bin
cp -r /opt/rh/cfme-gemset/vmdb/bin /var/www/miq/vmdb/bin

files=".bundle Gemfile.lock public/assets public/packs"
for file in ${files}
do
  [[ -e /var/www/miq/vmdb/${file} ]] && rm -rf /var/www/miq/vmdb/${file}
  ln -s /opt/rh/cfme-gemset/vmdb/${file} /var/www/miq/vmdb/${file}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /opt/rh/cfme-migration_analytics
%dir %{app_root}
%{app_root}/bin
%{app_root}/build_info
%{app_root}/bundler
%{app_root}/cache
%{app_root}/doc
%{app_root}/gems
%{app_root}/specifications
%{app_root}/vmdb
%{app_root}/enable

%changelog
* Mon Jul 27 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.7.3-1
- 5.11.7.3-1 build

* Fri Jul 24 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.7.2-1
- 5.11.7.2-1 build

* Mon Jul 20 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.7.1-1
- 5.11.7.1-1 build

* Wed Jul 15 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.7.0-1
- 5.11.7.0-1 build

* Wed May 27 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.6.0-1
- 5.11.6.0-1 build

* Wed Apr 22 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.5.2-1
- 5.11.5.2-1 build

* Wed Apr 15 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.5.1-1
- 5.11.5.1-1 build

* Mon Apr 13 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.5.0-1
- 5.11.5.0-1 build

* Mon Mar 09 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.4.2-1
- 5.11.4.2-1 build

* Fri Feb 28 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.4.1-1
- 5.11.4.1-1 build

* Mon Feb 24 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.4.0-1
- 5.11.4.0-1 build

* Tue Feb 11 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.3.1-1
- 5.11.3.1-1 build

* Mon Feb 10 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.3.0-1
- 5.11.3.0-1 build

* Thu Jan 30 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.2.2-1
- 5.11.2.2-1 build

* Mon Jan 27 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.2.1-2
- 5.11.2.1-2 build, disable nodejs requires temporarily

* Fri Jan 24 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.2.1-1
- 5.11.2.1-1 build

* Mon Jan 13 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.2.0-1
- 5.11.2.0-1 build

* Wed Dec 04 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.1.2-1
- 5.11.1.2-1 build

* Fri Nov 22 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.1.1-1
- 5.11.1.1-1 build

* Wed Nov 06 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.1.0-1
- 5.11.1.0-1 build

* Tue Nov 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.28-1
- 5.11.0.28-1 build

* Tue Oct 01 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.27-1
- 5.11.0.27-1 build

* Tue Sep 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.26-1
- 5.11.0.26-1 build

* Fri Sep 13 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.25-1
- 5.11.0.25-1 build

* Wed Sep 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.24-1
- 5.11.0.24-1 build

* Wed Sep 04 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.23-1
- 5.11.0.23-1 build

* Tue Aug 27 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.22-1
- 5.11.0.22-1 build

* Wed Aug 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.21-1
- 5.11.0.21-1 build

* Tue Aug 20 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.20-1
- 5.11.0.20-1 build

* Tue Aug 13 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.19-1
- 5.11.0.19-1 build

* Tue Aug 06 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.18-1
- 5.11.0.18-1 build

* Tue Jul 30 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.17-1
- 5.11.0.17-1 build

* Wed Jul 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.16-1
- 5.11.0.16-1 build

* Thu Jul 18 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.15-1
- 5.11.0.15-1 build

* Wed Jul 10 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.14-1
- 5.11.0.14-1 build

* Fri Jul 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.13-1
- 5.11.0.13-1 build

* Wed Jul 03 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.12-1
- 5.11.0.12-1 build

* Tue Jun 25 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.11-1
- 5.11.0.11-1 build

* Wed Jun 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.10-1
- 5.11.0.10-1 build

* Tue Jun 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.8-1
- 5.11.0.8-1 build

* Wed Jun 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.7-1
- 5.11.0.7-1 build

* Tue May 28 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.6-1
- 5.11.0.6-1 build

* Tue May 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.5-1
- 5.11.0.5-1 build

* Tue May 14 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.4-1
- 5.11.0.4-1 build

* Tue May 07 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.3-1
- 5.11.0.3-1 build

* Tue Apr 30 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.2-1
- 5.11.0.2-1 build

* Wed Apr 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.1-1
- 5.11.0.1-1 build

* Mon Mar 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.0-1
- 5.11.0.0-1 build
